package in.gov.digilocker.uidai.logs.fpmodal;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

import org.springframework.stereotype.Component;

@XmlRootElement(name = "Skey")
@XmlAccessorType(XmlAccessType.NONE)
@XmlType(propOrder = { "ci" })
@Component
public class Skey {
	
	@XmlAttribute(name = "ci")private String ci;
	@XmlValue private String sKeyDescription;
	
	public Skey() {
		this.ci= "";
		this.sKeyDescription= "";
	}

	public String getCi() {
		return ci;
	}

	public void setCi(String ci) {
		this.ci = ci;
	}

	public String getsKeyDescription() {
		return sKeyDescription;
	}

	public void setsKeyDescription(String sKeyDescription) {
		this.sKeyDescription = sKeyDescription;
	}
	
}
